## rt-extension-smsnotify 1.04

=== Makefile ===
# This Makefile is for the RT::Extension::SMSNotify extension to perl.
#
# It was generated automatically by MakeMaker version
# 6.64 (Revision: 66400) from the contents of
# Makefile.PL. Don't edit this file, edit Makefile.PL instead.
#
#       ANY CHANGES MADE HERE WILL BE LOST!
#
#   MakeMaker ARGV: ()
#

#   MakeMaker Parameters:

#     ABSTRACT => q[Send SMS notifications from RT via SMS::Send]
#     AUTHOR => [q[Craig Ringer <craig@2ndquadrant.com>]]
#     BUILD_REQUIRES => { Test::More=>q[0.47], ExtUtils::MakeMaker=>q[6.59], Module::Install::ReadmeFromPod=>q[0.20], Module::Install::AutoManifest=>q[0.003] }
#     CONFIGURE_REQUIRES => {  }
#     DISTNAME => q[RT-Extension-SMSNotify]
#     INSTALLARCHLIB => q[/opt/rt4/local/plugins/RT-Extension-SMSNotify/lib]
#     INSTALLSITEARCH => q[/opt/rt4/local/man]
#     INSTALLSITELIB => q[/opt/rt4/local/plugins/RT-Extension-SMSNotify/lib]
#     INSTALLSITEMAN1DIR => q[/opt/rt4/local/man/man1]
#     INSTALLSITEMAN3DIR => q[/opt/rt4/local/man/man3]
#     LICENSE => q[perl]
#     MIN_PERL_VERSION => q[5.010001]
#     NAME => q[RT::Extension::SMSNotify]
#     NO_META => q[1]
#     PREREQ_PM => { Test::More=>q[0.47], ExtUtils::MakeMaker=>q[6.59], Module::Install::RTx=>q[0.30], Module::Install::AutoManifest=>q[0.003], Module::Install::ReadmeFromPod=>q[0.20], Carp=>q[0], SMS::Send=>q[1.06] }
#     TEST_REQUIRES => {  }
#     VERSION => q[1.04]
#     VERSION_FROM => q[lib/RT/Extension/SMSNotify.pm]
#     dist => { PREOP=>q[$(PERL) -I. "-MModule::Install::Admin" -e "dist_preop(q($(DISTVNAME)))"] }
#     realclean => { FILES=>q[MYMETA.yml] }
#     test => { TESTS=>q[] }

# --- MakeMaker post_initialize section:


# --- MakeMaker const_config section:

# These definitions are from config.sh (via /usr/lib64/perl5/Config.pm).
# They may have been overridden via Makefile.PL or on the command line.
AR = ar
CC = gcc
CCCDLFLAGS = -fPIC
CCDLFLAGS = -Wl,--enable-new-dtags -Wl,-rpath,/usr/lib64/perl5/CORE
DLEXT = so
DLSRC = dl_dlopen.xs
EXE_EXT = 
FULL_AR = /usr/bin/ar
LD = gcc
LDDLFLAGS = -shared -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -grecord-gcc-switches -m64 -mtune=generic -Wl,-z,relro 
LDFLAGS =  -fstack-protector
LIBC = 
LIB_EXT = .a
OBJ_EXT = .o
OSNAME = linux
OSVERS = 2.6.32-358.2.1.el6.x86_64
RANLIB = :
SITELIBEXP = /usr/local/share/perl5
SITEARCHEXP = /usr/local/lib64/perl5
SO = so
VENDORARCHEXP = /usr/lib64/perl5/vendor_perl
VENDORLIBEXP = /usr/share/perl5/vendor_perl


# --- MakeMaker constants section:
AR_STATIC_ARGS = cr
DIRFILESEP = /
DFSEP = $(DIRFILESEP)
NAME = RT::Extension::SMSNotify
NAME_SYM = RT_Extension_SMSNotify
VERSION = 1.04
VERSION_MACRO = VERSION
VERSION_SYM = 1_04
DEFINE_VERSION = -D$(VERSION_MACRO)=\"$(VERSION)\"
XS_VERSION = 1.04
XS_VERSION_MACRO = XS_VERSION
XS_DEFINE_VERSION = -D$(XS_VERSION_MACRO)=\"$(XS_VERSION)\"
INST_ARCHLIB = blib/arch
INST_SCRIPT = blib/script
INST_BIN = blib/bin
INST_LIB = blib/lib
INST_MAN1DIR = blib/man1
INST_MAN3DIR = blib/man3
MAN1EXT = 1
MAN3EXT = 3pm
INSTALLDIRS = site
INSTALL_BASE = /home/craig/perl5
DESTDIR = 
PREFIX = $(INSTALL_BASE)
INSTALLPRIVLIB = $(INSTALL_BASE)/lib/perl5
DESTINSTALLPRIVLIB = $(DESTDIR)$(INSTALLPRIVLIB)
INSTALLSITELIB = /opt/rt4/local/plugins/RT-Extension-SMSNotify/lib
DESTINSTALLSITELIB = $(DESTDIR)$(INSTALLSITELIB)
INSTALLVENDORLIB = $(INSTALL_BASE)/lib/perl5
DESTINSTALLVENDORLIB = $(DESTDIR)$(INSTALLVENDORLIB)
INSTALLARCHLIB = /opt/rt4/local/plugins/RT-Extension-SMSNotify/lib
DESTINSTALLARCHLIB = $(DESTDIR)$(INSTALLARCHLIB)
INSTALLSITEARCH = /opt/rt4/local/man
DESTINSTALLSITEARCH = $(DESTDIR)$(INSTALLSITEARCH)
INSTALLVENDORARCH = $(INSTALL_BASE)/lib/perl5/x86_64-linux-thread-multi
DESTINSTALLVENDORARCH = $(DESTDIR)$(INSTALLVENDORARCH)
INSTALLBIN = $(INSTALL_BASE)/bin
DESTINSTALLBIN = $(DESTDIR)$(INSTALLBIN)
INSTALLSITEBIN = $(INSTALL_BASE)/bin
DESTINSTALLSITEBIN = $(DESTDIR)$(INSTALLSITEBIN)
INSTALLVENDORBIN = $(INSTALL_BASE)/bin
DESTINSTALLVENDORBIN = $(DESTDIR)$(INSTALLVENDORBIN)
INSTALLSCRIPT = $(INSTALL_BASE)/bin
DESTINSTALLSCRIPT = $(DESTDIR)$(INSTALLSCRIPT)
INSTALLSITESCRIPT = $(INSTALL_BASE)/bin
DESTINSTALLSITESCRIPT = $(DESTDIR)$(INSTALLSITESCRIPT)
INSTALLVENDORSCRIPT = $(INSTALL_BASE)/bin
DESTINSTALLVENDORSCRIPT = $(DESTDIR)$(INSTALLVENDORSCRIPT)
INSTALLMAN1DIR = $(INSTALL_BASE)/man/man1
DESTINSTALLMAN1DIR = $(DESTDIR)$(INSTALLMAN1DIR)
INSTALLSITEMAN1DIR = /opt/rt4/local/man/man1
DESTINSTALLSITEMAN1DIR = $(DESTDIR)$(INSTALLSITEMAN1DIR)
INSTALLVENDORMAN1DIR = $(INSTALL_BASE)/man/man1
DESTINSTALLVENDORMAN1DIR = $(DESTDIR)$(INSTALLVENDORMAN1DIR)
INSTALLMAN3DIR = $(INSTALL_BASE)/man/man3
DESTINSTALLMAN3DIR = $(DESTDIR)$(INSTALLMAN3DIR)
INSTALLSITEMAN3DIR = /opt/rt4/local/man/man3
DESTINSTALLSITEMAN3DIR = $(DESTDIR)$(INSTALLSITEMAN3DIR)
INSTALLVENDORMAN3DIR = $(INSTALL_BASE)/man/man3
DESTINSTALLVENDORMAN3DIR = $(DESTDIR)$(INSTALLVENDORMAN3DIR)
PERL_LIB =
PERL_ARCHLIB = /usr/lib64/perl5
LIBPERL_A = libperl.a
FIRST_MAKEFILE = Makefile
MAKEFILE_OLD = Makefile.old
MAKE_APERL_FILE = Makefile.aperl
PERLMAINCC = $(CC)
PERL_INC = /usr/lib64/perl5/CORE
PERL = /usr/bin/perl "-Iinc"
FULLPERL = /usr/bin/perl "-Iinc"
ABSPERL = $(PERL)
PERLRUN = $(PERL)
FULLPERLRUN = $(FULLPERL)
ABSPERLRUN = $(ABSPERL)
PERLRUNINST = $(PERLRUN) "-I$(INST_ARCHLIB)" "-Iinc" "-I$(INST_LIB)"
FULLPERLRUNINST = $(FULLPERLRUN) "-I$(INST_ARCHLIB)" "-Iinc" "-I$(INST_LIB)"
ABSPERLRUNINST = $(ABSPERLRUN) "-I$(INST_ARCHLIB)" "-Iinc" "-I$(INST_LIB)"
PERL_CORE = 0
PERM_DIR = 755
PERM_RW = 644
PERM_RWX = 755

MAKEMAKER   = /usr/share/perl5/vendor_perl/ExtUtils/MakeMaker.pm
MM_VERSION  = 6.64
MM_REVISION = 66400

# FULLEXT = Pathname for extension directory (eg Foo/Bar/Oracle).
# BASEEXT = Basename part of FULLEXT. May be just equal FULLEXT. (eg Oracle)
# PARENT_NAME = NAME without BASEEXT and no trailing :: (eg Foo::Bar)
# DLBASE  = Basename part of dynamic library. May be just equal BASEEXT.
MAKE = make
FULLEXT = RT/Extension/SMSNotify
BASEEXT = SMSNotify
PARENT_NAME = RT::Extension
DLBASE = $(BASEEXT)
VERSION_FROM = lib/RT/Extension/SMSNotify.pm
OBJECT = 
LDFROM = $(OBJECT)
LINKTYPE = dynamic
BOOTDEP = 

# Handy lists of source code files:
XS_FILES = 
C_FILES  = 
O_FILES  = 
H_FILES  = 
MAN1PODS = 
MAN3PODS = lib/RT/Action/SMSNotify.pm \
	lib/RT/Extension/SMSNotify.pm \
	lib/RT/Extension/SMSNotify/OnShift.pm \
	lib/RT/Extension/SMSNotify/PagerForUser.pm

# Where is the Config information that we are using/depend on
CONFIGDEP = $(PERL_ARCHLIB)$(DFSEP)Config.pm $(PERL_INC)$(DFSEP)config.h

# Where to build things
INST_LIBDIR      = $(INST_LIB)/RT/Extension
INST_ARCHLIBDIR  = $(INST_ARCHLIB)/RT/Extension

INST_AUTODIR     = $(INST_LIB)/auto/$(FULLEXT)
INST_ARCHAUTODIR = $(INST_ARCHLIB)/auto/$(FULLEXT)

INST_STATIC      = 
INST_DYNAMIC     = 
INST_BOOT        = 

# Extra linker info
EXPORT_LIST        = 
PERL_ARCHIVE       = 
PERL_ARCHIVE_AFTER = 


TO_INST_PM = lib/RT/Action/SMSNotify.pm \
	lib/RT/Extension/SMSNotify.pm \
	lib/RT/Extension/SMSNotify/OnShift.pm \
	lib/RT/Extension/SMSNotify/PagerForUser.pm \
	lib/RT/Extension/SMSNotify/Shifts.pm

PM_TO_BLIB = lib/RT/Action/SMSNotify.pm \
	blib/lib/RT/Action/SMSNotify.pm \
	lib/RT/Extension/SMSNotify/PagerForUser.pm \
	blib/lib/RT/Extension/SMSNotify/PagerForUser.pm \
	lib/RT/Extension/SMSNotify.pm \
	blib/lib/RT/Extension/SMSNotify.pm \
	lib/RT/Extension/SMSNotify/Shifts.pm \
	blib/lib/RT/Extension/SMSNotify/Shifts.pm \
	lib/RT/Extension/SMSNotify/OnShift.pm \
	blib/lib/RT/Extension/SMSNotify/OnShift.pm


# --- MakeMaker platform_constants section:
MM_Unix_VERSION = 6.64
PERL_MALLOC_DEF = -DPERL_EXTMALLOC_DEF -Dmalloc=Perl_malloc -Dfree=Perl_mfree -Drealloc=Perl_realloc -Dcalloc=Perl_calloc


# --- MakeMaker tool_autosplit section:
# Usage: $(AUTOSPLITFILE) FileToSplit AutoDirToSplitInto
AUTOSPLITFILE = $(ABSPERLRUN)  -e 'use AutoSplit;  autosplit($$$$ARGV[0], $$$$ARGV[1], 0, 1, 1)' --



# --- MakeMaker tool_xsubpp section:


# --- MakeMaker tools_other section:
SHELL = /bin/sh
CHMOD = chmod
CP = cp
MV = mv
NOOP = $(TRUE)
NOECHO = @
RM_F = rm -f
RM_RF = rm -rf
TEST_F = test -f
TOUCH = touch
UMASK_NULL = umask 0
DEV_NULL = > /dev/null 2>&1
MKPATH = $(ABSPERLRUN) -MExtUtils::Command -e 'mkpath' --
EQUALIZE_TIMESTAMP = $(ABSPERLRUN) -MExtUtils::Command -e 'eqtime' --
FALSE = false
TRUE = true
ECHO = echo
ECHO_N = echo -n
UNINST = 0
VERBINST = 0
MOD_INSTALL = $(ABSPERLRUN) -MExtUtils::Install -e 'install([ from_to => {@ARGV}, verbose => '\''$(VERBINST)'\'', uninstall_shadows => '\''$(UNINST)'\'', dir_mode => '\''$(PERM_DIR)'\'' ]);' --
DOC_INSTALL = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'perllocal_install' --
UNINSTALL = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'uninstall' --
WARN_IF_OLD_PACKLIST = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'warn_if_old_packlist' --
MACROSTART = 
MACROEND = 
USEMAKEFILE = -f
FIXIN = $(ABSPERLRUN) -MExtUtils::MY -e 'MY->fixin(shift)' --


# --- MakeMaker makemakerdflt section:
makemakerdflt : all
	$(NOECHO) $(NOOP)


# --- MakeMaker dist section:
TAR = tar
TARFLAGS = cvf
ZIP = zip
ZIPFLAGS = -r
COMPRESS = gzip --best
SUFFIX = .gz
SHAR = shar
PREOP = $(PERL) -I. "-MModule::Install::Admin" -e "dist_preop(q($(DISTVNAME)))"
POSTOP = $(NOECHO) $(NOOP)
TO_UNIX = $(NOECHO) $(NOOP)
CI = ci -u
RCS_LABEL = rcs -Nv$(VERSION_SYM): -q
DIST_CP = best
DIST_DEFAULT = tardist
DISTNAME = RT-Extension-SMSNotify
DISTVNAME = RT-Extension-SMSNotify-1.04


# --- MakeMaker macro section:


# --- MakeMaker depend section:


# --- MakeMaker cflags section:


# --- MakeMaker const_loadlibs section:


# --- MakeMaker const_cccmd section:


# --- MakeMaker post_constants section:


# --- MakeMaker pasthru section:

PASTHRU = LIBPERL_A="$(LIBPERL_A)"\
	LINKTYPE="$(LINKTYPE)"\
	PREFIX="$(PREFIX)"\
	INSTALL_BASE="$(INSTALL_BASE)"


# --- MakeMaker special_targets section:
.SUFFIXES : .xs .c .C .cpp .i .s .cxx .cc $(OBJ_EXT)

.PHONY: all config static dynamic test linkext manifest blibdirs clean realclean disttest distdir



# --- MakeMaker c_o section:


# --- MakeMaker xs_c section:


# --- MakeMaker xs_o section:


# --- MakeMaker top_targets section:
all :: pure_all manifypods
	$(NOECHO) $(NOOP)


pure_all :: config pm_to_blib subdirs linkext
	$(NOECHO) $(NOOP)

subdirs :: $(MYEXTLIB)
	$(NOECHO) $(NOOP)

config :: $(FIRST_MAKEFILE) blibdirs
	$(NOECHO) $(NOOP)

help :
	perldoc ExtUtils::MakeMaker


# --- MakeMaker blibdirs section:
blibdirs : $(INST_LIBDIR)$(DFSEP).exists $(INST_ARCHLIB)$(DFSEP).exists $(INST_AUTODIR)$(DFSEP).exists $(INST_ARCHAUTODIR)$(DFSEP).exists $(INST_BIN)$(DFSEP).exists $(INST_SCRIPT)$(DFSEP).exists $(INST_MAN1DIR)$(DFSEP).exists $(INST_MAN3DIR)$(DFSEP).exists
	$(NOECHO) $(NOOP)

# Backwards compat with 6.18 through 6.25
blibdirs.ts : blibdirs
	$(NOECHO) $(NOOP)

$(INST_LIBDIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_LIBDIR)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_LIBDIR)
	$(NOECHO) $(TOUCH) $(INST_LIBDIR)$(DFSEP).exists

$(INST_ARCHLIB)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_ARCHLIB)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_ARCHLIB)
	$(NOECHO) $(TOUCH) $(INST_ARCHLIB)$(DFSEP).exists

$(INST_AUTODIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_AUTODIR)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_AUTODIR)
	$(NOECHO) $(TOUCH) $(INST_AUTODIR)$(DFSEP).exists

$(INST_ARCHAUTODIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_ARCHAUTODIR)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_ARCHAUTODIR)
	$(NOECHO) $(TOUCH) $(INST_ARCHAUTODIR)$(DFSEP).exists

$(INST_BIN)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_BIN)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_BIN)
	$(NOECHO) $(TOUCH) $(INST_BIN)$(DFSEP).exists

$(INST_SCRIPT)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_SCRIPT)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_SCRIPT)
	$(NOECHO) $(TOUCH) $(INST_SCRIPT)$(DFSEP).exists

$(INST_MAN1DIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_MAN1DIR)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_MAN1DIR)

=== debian/changelog ===
rt-extension-smsnotify (1.04-4) unstable; urgency=medium

  * Update Standards Version: 4.7.2 (not changes).
  * Update d/copyright.
  * Drop support for request-tracker4

 -- Andrew Ruthven <andrew@etc.gen.nz>  Sat, 22 Mar 2025 20:53:26 +1300

rt-extension-smsnotify (1.04-3) unstable; urgency=medium

  * Update Standards Version: 4.6.2
  * Refresh d/copyright.
  * Reintroduce support for RT4.
  * Remove deprecated fields from d/upstream/metadata.
  * Remove common package and use alternatives manpages instead.
  * Ensure we can build source after successful build (Closes: #1046286).
  * Refresh lintian overrides.
  * Enable basic autopkgtests.
  * Upload to unstable.

 -- Andrew Ruthven <andrew@etc.gen.nz>  Mon, 25 Sep 2023 20:51:30 +1300

rt-extension-smsnotify (1.04-2) experimental; urgency=medium

  [ Dominic Hargraeves ]
  * Switch maintainer to team
  * Add Vcs-* fields

  [ Andrew Ruthven ]
  * Update Standards Version: 4.5.1
  * Update debhelper compat: 13
  * Add myself to Uploaders and debian/copyright.
  * Build for both RT4 and RT5.
  * Add Rules-Requires-Root: no to debian/control.
  * Update debian/watch version: 4.

  [ Dominic Hargreaves ]
  * Add Replaces/Breaks on earlier RT4 package
  * Drop support for request-tracker4

 -- Dominic Hargreaves <dom@earth.li>  Sat, 27 Feb 2021 12:55:25 +0000

rt-extension-smsnotify (1.04-1) unstable; urgency=low

  * Initial Release (Closes: #788948)

 -- Dominic Hargreaves <dom@earth.li>  Tue, 25 Aug 2015 11:35:12 +0100

=== debian/control ===
Source: rt-extension-smsnotify
Section: perl
Priority: optional
Maintainer: Debian Request Tracker Group <pkg-request-tracker-maintainers@lists.alioth.debian.org>
Uploaders: Dominic Hargreaves <dom@earth.li>,
    Andrew Ruthven <andrew@etc.gen.nz>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: libmodule-install-readmefrompod-perl (>= 0.20),
 libmodule-install-rtx-perl (>= 0.42-1~),
 libmodule-install-automanifest-perl,
 libsms-send-perl (>= 1.06),
 rename,
 perl
Standards-Version: 4.7.2
Homepage: https://metacpan.org/release/RT-Extension-SMSNotify
Vcs-Browser: https://salsa.debian.org/request-tracker-team/rt-extension-smsnotify
Vcs-Git: https://salsa.debian.org/request-tracker-team/rt-extension-smsnotify.git
Rules-Requires-Root: no

Package: rt5-extension-smsnotify
Architecture: all
Breaks: rt4-extension-smsnotify (<< 1.04-3~)
Depends: ${misc:Depends}, ${perl:Depends},
 libsms-send-perl (>= 1.06),
 request-tracker5,
Description: Send SMS notifications from Request Tracker (for RT5)
 Use RT::Extension::SMSNotify to send text message notifications to mobile
 phones when events occur in Request Tracker 5, or via RT Crontool to do
 time-based alerting for things like SLA warnings.
 .
 Useful in conjunction with the RT::Extension::SLA module.

=== debian/rules ===
#!/usr/bin/make -f

RT_VERSIONS=5
BASE=extension-smsnotify

%:
	dh $@

override_dh_auto_configure:
	mkdir -p bak
	mv inc bak
	for f in META.yml MYMETA.json MYMETA.yml README; do cp -pr $$f bak; done
	rm -rf Makefile

	for ver in $(RT_VERSIONS); do \
	 RTHOME=/usr/share/request-tracker$$ver INSTALLDIRS=vendor perl Makefile.PL INSTALLDIRS=vendor; \
	 mv Makefile Makefile$$ver; \
	done

override_dh_auto_build:

override_dh_auto_test:

override_dh_auto_install:
	for ver in $(RT_VERSIONS); do \
	 ln -sf Makefile$$ver Makefile; \
	 export PERL_INSTALL_ROOT=$(CURDIR)/debian/rt$$ver-$(BASE); \
	 make install; \
         find debian/rt$$ver-$(BASE)/usr/share/man/man3 -name '*.3pm' -exec file-rename "s/\.3pm/-$$ver.3pm/" {} +; \
        done

	rm -f Makefile

override_dh_auto_clean:
	dh_auto_clean

	# Restore upstream files.
	find bak -type f -print | sed -e 's/^bak\///' | while read f; do mkdir -p $$(dirname $$f); mv bak/$$f $$f; done
	rm -rf bak

	rm -rf Makefile blib inc/Module/Install/RTx/Runtime.pm inc/YAML pm_to_blib
	for ver in $(RT_VERSIONS); do \
	 rm -f Makefile$$ver; \
        done

=== debian/watch ===
version=4
https://metacpan.org/release/RT-Extension-SMSNotify   .*/RT-Extension-SMSNotify-v?(\d[\d.-]*)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$
